//Source file: InvalidUserException.java
//Date: December 2005
//Charging Interfaces and Data Types for 3GPP TS 29.198-12 V5.9.0

package org.csapi.jr.se.cs;

/**
 * Invalid user specified.
 *
 */
public class InvalidUserException extends org.csapi.jr.se.InvalidArgumentException {

    private Throwable _cause = null;

    public InvalidUserException() {
        super(); 
    }

    public InvalidUserException(String message) {
        super(message); 
    }

    public InvalidUserException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public InvalidUserException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // InvalidUserException

